<div class="container-fluid">
  <div class="p-t-30">
    <div class="row">
      <div class="col-sm-12">
        <div class="card">

          <div class="card-header ">
            <h5 class="card-header-text">tickets (<%= @tickets.count %>) </h5>
            <div class = "dropdown-primary dropdown f-right">
              <button type="button" class="btn btn-inverse-primary waves-effect waves-light dropdown-toggle" data-toggle="dropdown" data-placement="top" title="" data-original-title=".btn-inverse-primary">Export
              </button>
              <div class = "dropdown-menu dropdown-menu-right" role = "menu">
                <%= link_to 'CSV', tickets_path(format: :csv, status: params[:status]), class: 'dropdown-item waves-light waves-effect' %>
                <%= link_to 'PDF',tickets_path(format: :pdf, status: params[:status]), class: 'dropdown-item waves-light waves-effect' %>
              </div>
            </div>
          </div>

            <div class="card-block">
              <%= form_for OpenStruct.new(params[:search]), as: :search, url: search_tickets_path, method: :get do |f| %>
                <div class="row">
                  <div class="col-xl-3">
                    <%= f.select :status, Ticket::STATUSES.collect{|k,v| [v, k]}, {:prompt => '-- Status --'} %>
                  </div>
                  <div class="col-xl-3">
                    <%= f.select :priority, Ticket::PRIORITIES, {:prompt => '-- Priorities --'} %>
                  </div>
                  <div class="col-xl-6">
                    <%= f.text_field :query %>
                    <%= submit_tag "Search"%>
                  </div>
                </div>
              <% end %>
              <br />
              <% if @tickets.present? %>
                <div class="table-content p-l-20 p-r-20 p-b-20">
                  <table class="table table-striped">
                    <thead>
                      <tr role="row">
                        <th>
                          <div class="rkmd-checkbox checkbox-rotate">
                            <label class="input-checkbox checkbox-primary">
                                <input type="checkbox" id="checkbox32">
                                <span class="checkbox"></span>
                            </label>
                            <div class="captions"></div>
                          </div>
                        </th>
                        <th>#ID</th>
                        <th>Name</th>
                        <th>Subject</th>
                        <th>Status</th>
                        <th>Priority</th>
                        <th>Created Date</th>
                      </tr>
                    </thead>
                    <tbody>
                      <% @tickets.each do |ticket| %>
                        <tr>
                          <td>
                            <div class="rkmd-checkbox checkbox-rotate">
                              <label class="input-checkbox checkbox-primary">
                                <input type="checkbox" id="checkbox32">
                                <span class="checkbox"></span>
                              </label>
                            <div class="captions"></div>
                            </div>
                          </td>
                          <td><%= ticket.id %></td>
                          <td><%= ticket.name %></td>
                          <td><%= link_to ticket.subject, ticket_path(ticket) %></td>
                          <td><%= Ticket::STATUSES[ticket.status] %></td>
                          <td><%= ticket.priority %></td>
                          <td><%= ticket.created_at.strftime TIME_FORMAT1 %></td>
                          <td>
                          </td>
                        </tr>
                      <% end %>
                    </tbody>
                  </table>
                </div>
              <% else %>
                <div class="card-header">
                  <center class="p-t-50 p-b-50">
                    Sorry you don't have any Tickets
                    <br />
                    <br />
                  </center>
                </div>
              <% end %>
            </div>
            
          </div>
        </div>
      </div>
    </div>
  </div>

